import request from '@/utils/request'

// 查询LineRecharge列表
export function listLineRecharge(query) {
    return request({
        url: '/api/v1/line-recharge',
        method: 'get',
        params: query
    })
}

// 查询LineRecharge详细
export function getLineRecharge (id) {
    return request({
        url: '/api/v1/line-recharge/' + id,
        method: 'get'
    })
}


// 新增LineRecharge
export function addLineRecharge(data) {
    return request({
        url: '/api/v1/line-recharge',
        method: 'post',
        data: data
    })
}

// 修改LineRecharge
export function updateLineRecharge(data) {
    return request({
        url: '/api/v1/line-recharge/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineRecharge
export function delLineRecharge(data) {
    return request({
        url: '/api/v1/line-recharge',
        method: 'delete',
        data: data
    })
}

